[tool.poetry]
name = "faststan"
version = "0.1.5"
description = "Build data streaming pipelines using faststan"
authors = ["gcharbon <guillaume.charbonnier@capgemini.com>"]
license = "MIT"
readme = "README.md"
homepage = "https://pypi.org/project/faststan/"
repository = "https://gitlab.com/gu.charbon/faststan.git"


[tool.poetry.dependencies]
python = "^3.7"
asyncio-nats-client = "^0.10.0"
asyncio-nats-streaming = "^0.4.0"
fastapi = "^0.61.0"
pydantic = "^1.6.1"
uvicorn = "^0.11.8"


[tool.poetry.dev-dependencies]
black = "^19.10b0"
flake8 = "^3.8.3"
pytest = "^6.0.1"
requests = "^2.24.0"
pytest-asyncio = "^0.14.0"
pytest-cov = "^2.10.1"
mypy = "^0.782"
invoke = "^1.4.1"
mkdocs = "^1.1"
mkdocs-material = "^5.1"
markdown-include =  "^0.5"


[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
